  /MaterialGroups:
    get:
      tags:
      - "Filters"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/MaterialGroup"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /MaterialSubGroups:
    get:
      tags:
      - "Filters"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/MaterialSubGroup"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /CalculationProfiles:
    get:
    post:
    delete:
    patch:
  /Calculations:
    get:
    post:
    delete:
    patch:
  /CalculationGroups:
    get:
    post:
    delete:
    patch:
      - Teileart und Waren~ als Array übergeben
      - SequenceNumber nach außen liefern. Patch sollte im Idealfall selbst dafür sorgen, dass die neu gegebene Nummer dann gültig ist - die Konflikte soll der Server lösen.
  /CalculationSurcharges:
    get:
    post:
    delete:
    patch:
  /Configs:
    get:
    patch:
      > [{
            "DefaultAmount": 4,
            "OneClickPurchase": false,
            "FullTaxPercentage": 19,
            "ReducedTaxPercentage": 7,
            "OfferLayout":
            {
                "GuidDbBlobBackground": "...",
                "TopOffsetInPixel": 234,
                "BottomOffsetInPixel": 234
            }
        }]
  /OfferArticles:
    get:
    post:
    delete:
    patch:
  /Addresses:
    get:
    post:
    delete:
    patch:
  /ArticleInformations:
    get:
  /Vehicles:
    get:
  /Tubes:
    get:
      - Unsicher, ob das so bleibt
  /Carts:
    get:
    post:
    delete:
    patch:
    >   [{
            Comment
        }]
  /CartSets:
    get:
    post:
    delete:
    patch:
    >   [{
            Comment,
            Articles: [{
                Guid
                GuidCartSet
                GuidArticle
                Amount
                Price
                ...
            },
            {
                Guid
                GuidCartSet
                GuidArticle
                Amount
                Price
                ...
            }]
        }]
  /DeliveryTypes:
    get:
  /PaymentTypes:
    get:
  /Carts/{Guid}/Order:
    post:
      - GuidDeliveryType
      - GuidPaymentType
      - // Zusatzinformationen Payment
      - Comment
      ...
      > Document<Order>
  /Documents:
    - Alle anderen Belege
  /Downloads:
    get:
  /Campaigns:
    get:
  /Areas:
    get:
    - Dynamisch Preisänderungen und co anzeigen

























        VehicleType:
          > Designation, "ComfortSearchSet": [{"Designation": "Durchmesser", "Type": "Diameters"}, {"Designation": "Lochzahl", "Type": "HoleCircles"}]
          
          /Articles:
            get:
              - Alle Suchparameter, wie Suchbegriff, Komfortsuchefelder und co
              - Alle Felder, die der Kunde an dieser Stelle nicht sehen darf, werden mit null geliefert. Sonst ist das Antwortschema statisch und vollständig.
              > [{
                    "Designation": null,
                    // Alle anderen Spalten,
                    "GuidColumnConfig": "82397489235",
                    ...
                }]
          /Filters:
            get:
              - Liefert alle Metainformationen aus
              - Alle Suchparameter, wie Suchbegriff, Komfortsuchefelder und co
              > [{
                    "Designation": "Fahrzeugauswahl",
                    "Type": "Vehicle", // [Vehicle, MaterialType, Diameter...]
                    "Selection": [
                        {
                            "Designation": "PKW",
                            "NumberOfResults": 123,
                            "ParameterKey": "VehicleType",
                            "ParameterValue": "832745983475895"
                        },
                        {
                            "Designation": "Motorrad",
                            "NumberOfResults": 12,
                            "ParameterKey": "VehicleType",
                            "ParameterValue": "83724534899"
                        }
                    ]
                }]
          /ColumnConfigs:
            get:
              - Ein Set aus den Informationen der Detail- und Bestandsspaltenkonfigurationen.
